# pj

`pj` is a small command-line utility for inspecting the contents of
`package.json` files.

## Installation

```console
$ npm install -g pajamas-cli
```

## Usage

Invoked without arguments in a directory containing a `package.json`, `pj` will
simply print the entire object. To inspect a property of the object, pass an
argument consisting of the path to the property using dot notation. For
example:

```console
$ cat package.json
{
  "name": "My Package",
  "version": "0.0.1",
  "license": "MIT",
  "keywords": ["node", "json", "cli"]
  "scripts": {
    "test": "node test.js"
  }
}
$ pj version
0.0.1
$ pj scripts.test
node test.js
```

`pj` also supports arrays, also using dot notation:

```console
$ pj keywords.0
node
$ pj keywords.1
json
```

## License

`pj` is open source software under the terms of the
[MIT license](http://opensource.org/licenses/MIT).
