const traversePath = (object, path) => {
  const [key, ...rest] = path;
  if (key === undefined) return object;
  if (object.hasOwnProperty(key)) {
    return traversePath(object[key], rest);
  }
  return `Property '${key}' does not exist`;
};

const pj = (contents, path) => {
  try {
    const object = JSON.parse(contents);
    return path.length === 0 ? object : traversePath(object, path);
  } catch (e) {
    return new Error('Not a valid JSON file');
  }
};

module.exports = {
  traversePath: traversePath,
  pj: pj,
};
