const assert = require('assert');
const traversePath = require('./lib').traversePath;

const ESCAPE_CODES = {
  RESET_COLOR: '\x1b[0m',
  FG_GREEN: '\x1b[32m',
};

const testCases = [
  {
    expected: 1,
    actual: traversePath({ a: 1 }, ['a']),
  },
  {
    expected: 3,
    actual: traversePath({ a: { b: { c: 3 } } }, ['a', 'b', 'c']),
  },
  {
    expected: 2,
    actual: traversePath({ a: [1, 2, 3] }, ['a', 1]),
  },
];

testCases.forEach((testCase, i) => {
  assert.deepEqual(testCase.actual, testCase.expected);
  [ESCAPE_CODES.FG_GREEN, '.', ESCAPE_CODES.RESET_COLOR].forEach(el =>
    process.stdout.write(el)
  );
});

console.log(ESCAPE_CODES.FG_GREEN, 'OK', ESCAPE_CODES.RESET_COLOR);
